'''
This code is part of Cosmic Commando; Copyright (C) 2012 Piotr 'ZasVid' Sikora; see CosmicCommando.py for full notice.
'''

_trait_levels = { 'shields' : [(1, 'full')] ,
                  'health' : []
                }

def trait_level_description(trait, agent):
    current_value = agent[trait]
    max_value = agent["max " + trait]
    trait_ratio = float(current_value)/max_value
    if trait_ratio == 1:
        return "full " + trait
    elif trait_ratio > 0.75:
        return "nearly full " + trait
    elif trait_ratio > 0.5:
        return "still strong " + trait
    elif trait_ratio > 0.25:
        return "weakened " + trait
    else:
        return "waning " + trait
    
def health_description(health, max_health):
    pass
     