'''
This code is part of Cosmic Commando; Copyright (C) 2012 Piotr 'ZasVid' Sikora; see CosmicCommando.py for full notice.
'''

from config import MSG_HEIGHT, MSG_WIDTH
from game_data import game
import textwrap

#TODO: consider adding agent messages, differentiating between player and non-players
# {instead of having to do in every place an agent does something}

#TODO: consider differentiating between messages from the log and inconsequential interface/environment tips
#e.g. bumping into walls, 

#TODO: consider adding delayed messages:
"""
    def add_delayed(self,message):
         Capable of adding a delayed messages, which gets flushed when a normal message is added.
            Further delayed messages and 
        if self.delayed_message is None:
            self.delayed_message = message
        else:
            self.delayed_message += message 
            
    def add(self,message):
        if self.delayed_message is not None:
            message = self.delayed_message + message
            self.delayed_message = None
        """

def a_or_an(word):
    return 'an' if word[0] in ['a', 'i', 'o', 'u', 'e'] else 'a'
    
def message(new_msg, color = 'white'):
    
    #split the message if necessary, among multiple lines
    new_msg_lines = textwrap.wrap(new_msg, MSG_WIDTH)
    for line in new_msg_lines:
        #if the buffer is full, remove the first line to make room for the new one
        if len(game.msgs) == MSG_HEIGHT:
            del game.msgs[0]
        #add the new line as a tuple, with the text and the color
        game.msgs.append( (line, color) )
        game.msg_archive.append( (line, color) )
